Skip to content

tag/delete

Deletes one or more tags and their associated tagging rules.

Method and path

POST /tag/delete

Authentication

Authentication is required. See Authentication.

Permissions

Accessible to tier 1, 2, and 3 users.

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.
Content-Typeyesapplication/json.

Request body

FieldTypeRequiredDescription
project_idintegeryesProject identifier.
tag_idinteger or array<integer>yesOne tag id or an array of tag ids.

Example request

bash
curl -X POST "$SIGNAL_API_BASE_URL/tag/delete" \
  -H "X-Api-Key: $SIGNAL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"project_id": 123, "tag_id": [456, 457]}'
json
{
  "project_id": 123,
  "tag_id": [456, 457]
}

Example response

json
{
  "success": true
}

Response fields

FieldTypeDescription
successbooleantrue when the delete query succeeds.
errorstringError message returned when the delete query fails. Present only on failure.

Notes

  • Bulk deletion is supported by sending an array in tag_id.
  • The endpoint also deletes rule records attached to the deleted tags.

Doc rev.1.12.3 2026.05.08